package com.patzn.lims.consume.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.consume.vo.LmsChemicalPurchaseOrderVO;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.consume.entity.LmsChemicalPurchaseOrder;
import com.patzn.lims.workflow.FlowProcess;

import java.util.List;

/**
 * <p>
 * 试验耗材采购单表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-21
 */
public interface ILmsChemicalPurchaseOrderService extends IBaseService<LmsChemicalPurchaseOrder> {

    Page<LmsChemicalPurchaseOrder> page(Page<LmsChemicalPurchaseOrder> page, LmsChemicalPurchaseOrder lmsChemicalPurchaseOrder);


    boolean save(String remark, Long sendUserId, Account account);

    Page<LmsChemicalPurchaseOrderVO> pageVO(Page page, LmsChemicalPurchaseOrderVO vo);

    Page<LmsChemicalPurchaseOrderVO> pageWaitPurchase(Page page, LmsChemicalPurchaseOrderVO lmsChemicalPurchaseOrder);

    List<FlowProcess> submitPurchaseFlow(Long[] ids, Long  sendUserId,Account account);


    boolean approveFlow(String taskId, String allow, String postil,Long id,Long userId);
}
